org.wildfly.swarm.config

## Class ResourceAdapters<T extends ResourceAdapters<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ResourceAdapters<T>

- Direct Known Subclasses:
    ResourceAdapterFraction

      public class ResourceAdapters<T extends ResourceAdapters<T>>
      extends Object

  Configuration of the resource adapters subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResourceAdapters.ResourceAdaptersResources` Child mutators for ResourceAdapters

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdapters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `resourceAdapter(ResourceAdapter value)` Add the ResourceAdapter object to the list of subresources
    `T` | `resourceAdapter(ResourceAdapterSupplier supplier)` Install a supplied ResourceAdapter object to the list of subresources
    `T` | `resourceAdapter(String childKey)` Create and configure a ResourceAdapter object to the list of subresources
    `T` | `resourceAdapter(String childKey, ResourceAdapterConsumer consumer)` Create and configure a ResourceAdapter object to the list of subresources
    `T` | `resourceAdapters(List<ResourceAdapter> value)` Add all ResourceAdapter objects to this subresource
    `ResourceAdapters.ResourceAdaptersResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceAdapters

          public ResourceAdapters()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ResourceAdapters.ResourceAdaptersResources subresources()

    - #### resourceAdapters

          public T resourceAdapters(List<ResourceAdapter> value)

      Add all ResourceAdapter objects to this subresource
      Parameters:
        `value` - List of ResourceAdapter objects.
      Returns:
        this

    - #### resourceAdapter

          public T resourceAdapter(ResourceAdapter value)

      Add the ResourceAdapter object to the list of subresources
      Parameters:
        `value` - The ResourceAdapter to add
      Returns:
        this

    - #### resourceAdapter

          public T resourceAdapter(String childKey,
                                   ResourceAdapterConsumer consumer)

      Create and configure a ResourceAdapter object to the list of subresources
      Parameters:
        `key` - The key for the ResourceAdapter resource
        `config` - The ResourceAdapterConsumer to use
      Returns:
        this

    - #### resourceAdapter

          public T resourceAdapter(String childKey)

      Create and configure a ResourceAdapter object to the list of subresources
      Parameters:
        `key` - The key for the ResourceAdapter resource
      Returns:
        this

    - #### resourceAdapter

          public T resourceAdapter(ResourceAdapterSupplier supplier)

      Install a supplied ResourceAdapter object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.